Bug 191895 - qt Missing BuildRequire on libXmu-devel
qt Missing BuildRequire on libXmu-devel
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: qt (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
: 192525 (view as bug list)
Depends On:
Blocks: BuildReqBlocker
  Show dependency treegraph
 
Reported: 2006-05-16 07:41 EDT by Andreas Thienemann
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-16 12:49:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch, adding the missing buildreqs (339 bytes, patch)
2006-05-16 07:41 EDT, Andreas Thienemann
no flags Details | Diff

  None (edit)
Description Andreas Thienemann 2006-05-16 07:41:09 EDT
Package won't build in mock:


g++ -fno-exceptions -shared -Wl,-soname,libqt-mt.so.3 -o libqt-mt.so.3.3.6
.obj/release-shared-mt/qtaddons_x11.o .obj/release-shared-mt/qapplication_x11.o
.obj/release-shared-mt/qclipboard_x11.o .obj/release-shared-mt/qcolor_x11.o
.obj/release-shared-mt/qcursor_x11.o .obj/release-shared-mt/qdnd_x11.o
.obj/release-shared-mt/qdesktopwidget_x11.o
.obj/release-shared-mt/qeventloop_x11.o .obj/release-shared-mt/qfont_x11.o
.obj/release-shared-mt/qinputcontext.o
.obj/release-shared-mt/qinputcontext_x11.o
.obj/release-shared-mt/qmotifdnd_x11.o .obj/release-shared-mt/qpixmap_x11.o
.obj/release-shared-mt/qpaintdevice_x11.o .obj/release-shared-mt/qpainter_x11.o
.obj/release-shared-mt/qregion_x11.o .obj/release-shared-mt/qsound_x11.o
.obj/release-shared-mt/qwidget_x11.o .obj/release-shared-mt/qwidgetcreate_x11.o
.obj/release-shared-mt/qfontengine_x11.o .obj/release-shared-mt/qprinter_unix.o
.obj/release-shared-mt/qpsprinter.o .obj/release-shared-mt/qeventloop_unix.o
.obj/release-shared-mt/qprocess_unix.o .obj/release-shared-mt/qthread_unix.o
.obj/release-shared-mt/qabstractlayout.o .obj/release-shared-mt/qucomextra.o
.obj/release-shared-mt/qaccel.o .obj/release-shared-mt/qapplication.o
.obj/release-shared-mt/qasyncimageio.o .obj/release-shared-mt/qasyncio.o
.obj/release-shared-mt/qbitmap.o .obj/release-shared-mt/qclipboard.o
.obj/release-shared-mt/qcolor.o .obj/release-shared-mt/qcolor_p.o
.obj/release-shared-mt/qconnection.o .obj/release-shared-mt/qcursor.o
.obj/release-shared-mt/qdragobject.o .obj/release-shared-mt/qdrawutil.o
.obj/release-shared-mt/qdropsite.o .obj/release-shared-mt/qevent.o
.obj/release-shared-mt/qeventloop.o .obj/release-shared-mt/qfocusdata.o
.obj/release-shared-mt/qfont.o .obj/release-shared-mt/qfontdatabase.o
.obj/release-shared-mt/qguardedptr.o .obj/release-shared-mt/qiconset.o
.obj/release-shared-mt/qimage.o .obj/release-shared-mt/qimageformatplugin.o
.obj/release-shared-mt/qkeysequence.o .obj/release-shared-mt/qlayout.o
.obj/release-shared-mt/qlayoutengine.o .obj/release-shared-mt/qtranslator.o
.obj/release-shared-mt/qmetaobject.o .obj/release-shared-mt/qmime.o
.obj/release-shared-mt/qmovie.o .obj/release-shared-mt/qnetworkprotocol.o
.obj/release-shared-mt/qobject.o .obj/release-shared-mt/qobjectcleanuphandler.o
.obj/release-shared-mt/qpainter.o .obj/release-shared-mt/qpalette.o
.obj/release-shared-mt/qpaintdevicemetrics.o .obj/release-shared-mt/qpicture.o
.obj/release-shared-mt/qpixmap.o .obj/release-shared-mt/qpixmapcache.o
.obj/release-shared-mt/qpointarray.o .obj/release-shared-mt/qpoint.o
.obj/release-shared-mt/qpolygonscanner.o .obj/release-shared-mt/qprinter.o
.obj/release-shared-mt/qprocess.o .obj/release-shared-mt/qrect.o
.obj/release-shared-mt/qregion.o .obj/release-shared-mt/qsignal.o
.obj/release-shared-mt/qsignalmapper.o .obj/release-shared-mt/qsize.o
.obj/release-shared-mt/qsizegrip.o .obj/release-shared-mt/qstyle.o
.obj/release-shared-mt/qsocketnotifier.o .obj/release-shared-mt/qsound.o
.obj/release-shared-mt/qstylesheet.o .obj/release-shared-mt/qthread.o
.obj/release-shared-mt/qtimer.o .obj/release-shared-mt/qurl.o
.obj/release-shared-mt/qlocalfs.o .obj/release-shared-mt/qurloperator.o
.obj/release-shared-mt/qurlinfo.o .obj/release-shared-mt/qwidget.o
.obj/release-shared-mt/qwmatrix.o .obj/release-shared-mt/qvariant.o
.obj/release-shared-mt/qrichtext.o .obj/release-shared-mt/qinternal.o
.obj/release-shared-mt/qrichtext_p.o .obj/release-shared-mt/qgplugin.o
.obj/release-shared-mt/qsimplerichtext.o .obj/release-shared-mt/qscriptengine.o
.obj/release-shared-mt/qtextlayout.o .obj/release-shared-mt/qtextengine.o
.obj/release-shared-mt/qbuttongroup.o .obj/release-shared-mt/qbutton.o
.obj/release-shared-mt/qdialogbuttons.o .obj/release-shared-mt/qcheckbox.o
.obj/release-shared-mt/qcombobox.o .obj/release-shared-mt/qwidgetresizehandler.o
.obj/release-shared-mt/qdial.o .obj/release-shared-mt/qdockarea.o
.obj/release-shared-mt/qdockwindow.o .obj/release-shared-mt/qframe.o
.obj/release-shared-mt/qgrid.o .obj/release-shared-mt/qgridview.o
.obj/release-shared-mt/qgroupbox.o .obj/release-shared-mt/qhbuttongroup.o
.obj/release-shared-mt/qheader.o .obj/release-shared-mt/qhgroupbox.o
.obj/release-shared-mt/qhbox.o .obj/release-shared-mt/qlabel.o
.obj/release-shared-mt/qlcdnumber.o .obj/release-shared-mt/qlineedit.o
.obj/release-shared-mt/qlistbox.o .obj/release-shared-mt/qlistview.o
.obj/release-shared-mt/qmainwindow.o .obj/release-shared-mt/qmenubar.o
.obj/release-shared-mt/qmenudata.o .obj/release-shared-mt/qmultilineedit.o
.obj/release-shared-mt/qpopupmenu.o .obj/release-shared-mt/qprogressbar.o
.obj/release-shared-mt/qpushbutton.o .obj/release-shared-mt/qradiobutton.o
.obj/release-shared-mt/qrangecontrol.o .obj/release-shared-mt/qscrollbar.o
.obj/release-shared-mt/qscrollview.o .obj/release-shared-mt/qslider.o
.obj/release-shared-mt/qsplashscreen.o .obj/release-shared-mt/qspinbox.o
.obj/release-shared-mt/qspinwidget.o .obj/release-shared-mt/qsplitter.o
.obj/release-shared-mt/qstatusbar.o .obj/release-shared-mt/qsyntaxhighlighter.o
.obj/release-shared-mt/qtabbar.o .obj/release-shared-mt/qtabwidget.o
.obj/release-shared-mt/qtitlebar.o .obj/release-shared-mt/qtoolbar.o
.obj/release-shared-mt/qtoolbox.o .obj/release-shared-mt/qtoolbutton.o
.obj/release-shared-mt/qtooltip.o .obj/release-shared-mt/qvalidator.o
.obj/release-shared-mt/qvbox.o .obj/release-shared-mt/qvbuttongroup.o
.obj/release-shared-mt/qvgroupbox.o .obj/release-shared-mt/qwhatsthis.o
.obj/release-shared-mt/qwidgetstack.o .obj/release-shared-mt/qaction.o
.obj/release-shared-mt/qdatetimeedit.o .obj/release-shared-mt/qeffects.o
.obj/release-shared-mt/qtextview.o .obj/release-shared-mt/qtextbrowser.o
.obj/release-shared-mt/qtextedit.o .obj/release-shared-mt/qwidgetplugin.o
.obj/release-shared-mt/qprintdialog.o .obj/release-shared-mt/qcolordialog.o
.obj/release-shared-mt/qdialog.o .obj/release-shared-mt/qerrormessage.o
.obj/release-shared-mt/qfiledialog.o .obj/release-shared-mt/qfontdialog.o
.obj/release-shared-mt/qmessagebox.o .obj/release-shared-mt/qprogressdialog.o
.obj/release-shared-mt/qtabdialog.o .obj/release-shared-mt/qwizard.o
.obj/release-shared-mt/qinputdialog.o .obj/release-shared-mt/qiconview.o
.obj/release-shared-mt/qworkspace.o
.obj/release-shared-mt/qinputcontextfactory.o
.obj/release-shared-mt/qinputcontextplugin.o .obj/release-shared-mt/qdns.o
.obj/release-shared-mt/qftp.o .obj/release-shared-mt/qhttp.o
.obj/release-shared-mt/qhostaddress.o .obj/release-shared-mt/qnetwork.o
.obj/release-shared-mt/qserversocket.o .obj/release-shared-mt/qsocket.o
.obj/release-shared-mt/qsocketdevice.o
.obj/release-shared-mt/qsocketdevice_unix.o .obj/release-shared-mt/qcanvas.o
.obj/release-shared-mt/qtable.o .obj/release-shared-mt/qxml.o
.obj/release-shared-mt/qdom.o .obj/release-shared-mt/qsvgdevice.o
.obj/release-shared-mt/qgl.o .obj/release-shared-mt/qglcolormap.o
.obj/release-shared-mt/qgl_x11.o .obj/release-shared-mt/qsqlquery.o
.obj/release-shared-mt/qsqldatabase.o .obj/release-shared-mt/qsqlfield.o
.obj/release-shared-mt/qsqlrecord.o .obj/release-shared-mt/qsqlform.o
.obj/release-shared-mt/qsqlcursor.o .obj/release-shared-mt/qeditorfactory.o
.obj/release-shared-mt/qsqleditorfactory.o .obj/release-shared-mt/qsqldriver.o
.obj/release-shared-mt/qsqlextension_p.o
.obj/release-shared-mt/qsqldriverplugin.o .obj/release-shared-mt/qsqlerror.o
.obj/release-shared-mt/qsqlresult.o .obj/release-shared-mt/qsqlindex.o
.obj/release-shared-mt/qsqlpropertymap.o .obj/release-shared-mt/qsqlmanager_p.o
.obj/release-shared-mt/qdatatable.o .obj/release-shared-mt/qdataview.o
.obj/release-shared-mt/qdatabrowser.o .obj/release-shared-mt/qsqlselectcursor.o
.obj/release-shared-mt/qsqlcachedresult.o .obj/release-shared-mt/qmngio.o
.obj/release-shared-mt/qjpegio.o .obj/release-shared-mt/qpngio.o
.obj/release-shared-mt/ftxopentype.o .obj/release-shared-mt/qdir_unix.o
.obj/release-shared-mt/qfile_unix.o .obj/release-shared-mt/qfileinfo_unix.o
.obj/release-shared-mt/qmutex_unix.o
.obj/release-shared-mt/qthreadstorage_unix.o
.obj/release-shared-mt/qwaitcondition_unix.o
.obj/release-shared-mt/qlibrary_unix.o .obj/release-shared-mt/qbitarray.o
.obj/release-shared-mt/qbuffer.o .obj/release-shared-mt/qcomponentfactory.o
.obj/release-shared-mt/qcomlibrary.o .obj/release-shared-mt/qcstring.o
.obj/release-shared-mt/qdatastream.o .obj/release-shared-mt/qdatetime.o
.obj/release-shared-mt/qdeepcopy.o .obj/release-shared-mt/qdir.o
.obj/release-shared-mt/qfile.o .obj/release-shared-mt/qfileinfo.o
.obj/release-shared-mt/qgarray.o .obj/release-shared-mt/qgcache.o
.obj/release-shared-mt/qgdict.o .obj/release-shared-mt/qglist.o
.obj/release-shared-mt/qglobal.o .obj/release-shared-mt/qgpluginmanager.o
.obj/release-shared-mt/qgvector.o .obj/release-shared-mt/qiodevice.o
.obj/release-shared-mt/qlibrary.o .obj/release-shared-mt/qlocale.o
.obj/release-shared-mt/qmap.o .obj/release-shared-mt/qmutexpool.o
.obj/release-shared-mt/qptrcollection.o .obj/release-shared-mt/qregexp.o
.obj/release-shared-mt/qstring.o .obj/release-shared-mt/qsemaphore.o
.obj/release-shared-mt/qsettings.o .obj/release-shared-mt/qstringlist.o
.obj/release-shared-mt/qtextstream.o .obj/release-shared-mt/qunicodetables.o
.obj/release-shared-mt/qucom.o .obj/release-shared-mt/quuid.o
.obj/release-shared-mt/qbig5codec.o .obj/release-shared-mt/qeucjpcodec.o
.obj/release-shared-mt/qeuckrcodec.o .obj/release-shared-mt/qisciicodec.o
.obj/release-shared-mt/qgb18030codec.o .obj/release-shared-mt/qjiscodec.o
.obj/release-shared-mt/qjpunicode.o .obj/release-shared-mt/qrtlcodec.o
.obj/release-shared-mt/qsjiscodec.o .obj/release-shared-mt/qtextcodec.o
.obj/release-shared-mt/qtsciicodec.o .obj/release-shared-mt/qutfcodec.o
.obj/release-shared-mt/qtextcodecfactory.o
.obj/release-shared-mt/qtextcodecplugin.o .obj/release-shared-mt/qfontcncodec.o
.obj/release-shared-mt/qfonthkcodec.o .obj/release-shared-mt/qfontjpcodec.o
.obj/release-shared-mt/qfontkrcodec.o .obj/release-shared-mt/qfontlaocodec.o
.obj/release-shared-mt/qfonttwcodec.o .obj/release-shared-mt/qstylefactory.o
.obj/release-shared-mt/qstyleplugin.o .obj/release-shared-mt/qcommonstyle.o
.obj/release-shared-mt/qcdestyle.o .obj/release-shared-mt/qmotifplusstyle.o
.obj/release-shared-mt/qplatinumstyle.o .obj/release-shared-mt/qsgistyle.o
.obj/release-shared-mt/qcompactstyle.o .obj/release-shared-mt/qwindowsstyle.o
.obj/release-shared-mt/qmotifstyle.o .obj/release-shared-mt/qconfig.o
.obj/release-shared-mt/moc_qaccel.o .obj/release-shared-mt/moc_qapplication.o
.obj/release-shared-mt/moc_qasyncio.o .obj/release-shared-mt/moc_qclipboard.o
.obj/release-shared-mt/moc_qdesktopwidget.o
.obj/release-shared-mt/moc_qdragobject.o .obj/release-shared-mt/moc_qeventloop.o
.obj/release-shared-mt/moc_qguardedptr.o
.obj/release-shared-mt/moc_qimageformatplugin.o
.obj/release-shared-mt/moc_qlayout.o .obj/release-shared-mt/moc_qtranslator.o
.obj/release-shared-mt/moc_qnetworkprotocol.o
.obj/release-shared-mt/moc_qobject.o
.obj/release-shared-mt/moc_qobjectcleanuphandler.o
.obj/release-shared-mt/moc_qprocess.o
.obj/release-shared-mt/moc_qsessionmanager.o
.obj/release-shared-mt/moc_qsignal.o .obj/release-shared-mt/moc_qsignalmapper.o
.obj/release-shared-mt/moc_qsizegrip.o
.obj/release-shared-mt/moc_qsocketnotifier.o .obj/release-shared-mt/moc_qsound.o
.obj/release-shared-mt/moc_qstyle.o .obj/release-shared-mt/moc_qstylesheet.o
.obj/release-shared-mt/moc_qtimer.o .obj/release-shared-mt/moc_qlocalfs.o
.obj/release-shared-mt/moc_qurloperator.o .obj/release-shared-mt/moc_qwidget.o
.obj/release-shared-mt/moc_qrichtext_p.o .obj/release-shared-mt/moc_qgplugin.o
.obj/release-shared-mt/moc_qinputcontext.o
.obj/release-shared-mt/moc_qbuttongroup.o .obj/release-shared-mt/moc_qbutton.o
.obj/release-shared-mt/moc_qdialogbuttons_p.o
.obj/release-shared-mt/moc_qcheckbox.o .obj/release-shared-mt/moc_qcombobox.o
.obj/release-shared-mt/moc_qwidgetresizehandler_p.o
.obj/release-shared-mt/moc_qdial.o .obj/release-shared-mt/moc_qdockarea.o
.obj/release-shared-mt/moc_qdockwindow.o .obj/release-shared-mt/moc_qframe.o
.obj/release-shared-mt/moc_qgrid.o .obj/release-shared-mt/moc_qgridview.o
.obj/release-shared-mt/moc_qgroupbox.o
.obj/release-shared-mt/moc_qhbuttongroup.o .obj/release-shared-mt/moc_qheader.o
.obj/release-shared-mt/moc_qhgroupbox.o .obj/release-shared-mt/moc_qhbox.o
.obj/release-shared-mt/moc_qlabel.o .obj/release-shared-mt/moc_qlcdnumber.o
.obj/release-shared-mt/moc_qlineedit.o .obj/release-shared-mt/moc_qlistbox.o
.obj/release-shared-mt/moc_qlistview.o .obj/release-shared-mt/moc_qmainwindow.o
.obj/release-shared-mt/moc_qmenubar.o
.obj/release-shared-mt/moc_qmultilineedit.o
.obj/release-shared-mt/moc_qpopupmenu.o
.obj/release-shared-mt/moc_qprogressbar.o
.obj/release-shared-mt/moc_qpushbutton.o
.obj/release-shared-mt/moc_qradiobutton.o
.obj/release-shared-mt/moc_qrangecontrol.o
.obj/release-shared-mt/moc_qscrollbar.o .obj/release-shared-mt/moc_qscrollview.o
.obj/release-shared-mt/moc_qslider.o .obj/release-shared-mt/moc_qsplashscreen.o
.obj/release-shared-mt/moc_qspinbox.o .obj/release-shared-mt/moc_qsplitter.o
.obj/release-shared-mt/moc_qstatusbar.o .obj/release-shared-mt/moc_qtabbar.o
.obj/release-shared-mt/moc_qtabwidget.o .obj/release-shared-mt/moc_qtitlebar_p.o
.obj/release-shared-mt/moc_qtoolbar.o .obj/release-shared-mt/moc_qtoolbox.o
.obj/release-shared-mt/moc_qtoolbutton.o .obj/release-shared-mt/moc_qtooltip.o
.obj/release-shared-mt/moc_qvalidator.o .obj/release-shared-mt/moc_qvbox.o
.obj/release-shared-mt/moc_qvbuttongroup.o
.obj/release-shared-mt/moc_qvgroupbox.o
.obj/release-shared-mt/moc_qwidgetstack.o .obj/release-shared-mt/moc_qaction.o
.obj/release-shared-mt/moc_qdatetimeedit.o
.obj/release-shared-mt/moc_qtextview.o .obj/release-shared-mt/moc_qtextbrowser.o
.obj/release-shared-mt/moc_qtextedit.o
.obj/release-shared-mt/moc_qwidgetplugin.o
.obj/release-shared-mt/moc_qcolordialog.o .obj/release-shared-mt/moc_qdialog.o
.obj/release-shared-mt/moc_qerrormessage.o
.obj/release-shared-mt/moc_qfiledialog.o
.obj/release-shared-mt/moc_qfontdialog.o
.obj/release-shared-mt/moc_qmessagebox.o
.obj/release-shared-mt/moc_qprogressdialog.o
.obj/release-shared-mt/moc_qsemimodal.o .obj/release-shared-mt/moc_qtabdialog.o
.obj/release-shared-mt/moc_qwizard.o .obj/release-shared-mt/moc_qinputdialog.o
.obj/release-shared-mt/moc_qprintdialog.o .obj/release-shared-mt/moc_qiconview.o
.obj/release-shared-mt/moc_qworkspace.o
.obj/release-shared-mt/moc_qinputcontextplugin.o
.obj/release-shared-mt/moc_qdns.o .obj/release-shared-mt/moc_qftp.o
.obj/release-shared-mt/moc_qhttp.o .obj/release-shared-mt/moc_qserversocket.o
.obj/release-shared-mt/moc_qsocket.o .obj/release-shared-mt/moc_qcanvas.o
.obj/release-shared-mt/moc_qtable.o .obj/release-shared-mt/moc_qgl.o
.obj/release-shared-mt/moc_qsqlquery.o .obj/release-shared-mt/moc_qsqldatabase.o
.obj/release-shared-mt/moc_qsqlform.o .obj/release-shared-mt/moc_qsqldriver.o
.obj/release-shared-mt/moc_qsqldriverplugin.o
.obj/release-shared-mt/moc_qdatatable.o .obj/release-shared-mt/moc_qdataview.o
.obj/release-shared-mt/moc_qdatabrowser.o
.obj/release-shared-mt/moc_qtextcodecplugin.o
.obj/release-shared-mt/moc_qstyleplugin.o
.obj/release-shared-mt/moc_qcommonstyle.o .obj/release-shared-mt/moc_qcdestyle.o
.obj/release-shared-mt/moc_qmotifplusstyle.o
.obj/release-shared-mt/moc_qplatinumstyle.o
.obj/release-shared-mt/moc_qsgistyle.o
.obj/release-shared-mt/moc_qwindowsstyle.o
.obj/release-shared-mt/moc_qmotifstyle.o   -lmng -ljpeg -lpng -lz -lGL -lXmu
-lXrender -lXrandr -lXcursor -lXinerama -lXft -lfreetype -lfontconfig -lXext
-lX11 -lm -lSM -lICE -ldl -lpthread 
/usr/bin/ld: cannot find -lXmu
collect2: ld returned 1 exit status
make[1]: *** [../lib/libqt-mt.so.3.3.6] Error 1
make[1]: Leaving directory `/builddir/build/BUILD/qt-x11-free-3.3.6/src'
make: *** [sub-src] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.9128 (%build)


Attached is a patch, adding the BuildRequirement
Comment 1 Andreas Thienemann 2006-05-16 07:41:09 EDT
Created attachment 129174 [details]
Patch, adding the missing buildreqs
Comment 2 Ngo Than 2006-05-16 12:49:47 EDT
it's now fixed in rawhide. Thanks
Comment 3 Ngo Than 2006-05-22 12:45:49 EDT
*** Bug 192525 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.